# Uses of Interface
org.eclipse.ui.commands.ICommand

Packages that use ICommand
Package
Description
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.

## Uses of ICommand in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands that return ICommand
Modifier and Type
Method
Description
`ICommand`
CommandEvent.`getCommand()`
Deprecated.
`ICommand`
ICommandManager.`getCommand(String commandId)`
Deprecated.
Constructors in org.eclipse.ui.commands with parameters of type ICommand
Modifier
Constructor
Description
``
`CommandEvent(ICommand command, boolean attributeValuesByNameChanged, boolean categoryIdChanged, boolean definedChanged, boolean descriptionChanged, boolean handledChanged, boolean keySequenceBindingsChanged, boolean nameChanged, Map previousAttributeValuesByName)`
Deprecated.
Creates a new instance of this class.